org.appng.xml.platform

## Class UserInputField

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.UserInputField

- All Implemented Interfaces:
    Serializable

      public class UserInputField
      extends BaseObject
      implements Serializable

  A single field the users entered a value for.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `content`
    `protected String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserInputField()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContent()` A single field the users entered a value for.
    `String` | `getName()` The name of the field, see `FieldDef.getBinding()`.
    `void` | `setContent(String value)` Sets the value of the content property.
    `void` | `setName(String value)` Sets the value of the name property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### content

          protected String content

    - #### name

          protected String name

  - ### Constructor Detail

    - #### UserInputField

          public UserInputField()

  - ### Method Detail

    - #### getContent

          public String getContent()

      A single field the users entered a value for.
      Returns:
        possible object is `String`

    - #### setContent

          public void setContent(String value)

      Sets the value of the content property.
      Parameters:
        `value` - allowed object is `String`

    - #### getName

          public String getName()

      The name of the field, see `FieldDef.getBinding()`.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.